
def zip_longest(*iterables, fillvalue=None):
    "Make an iterator that aggregates elements from each of the iterables."
    "It returns a list with a length equal to the longest iterable."
    "If the iterables are of unequal lengths, the missing values in shorter iterables are filled with fillvalue."
    "The iterator stops when the shortest iterable is exhausted."

    # This function uses the 'itertools' package to create a zip-like iterator that handles iterables of different lengths.
    from itertools import zip_longest

    return list(zip_longest(*iterables, fillvalue=fillvalue))


